drop _all
set more off
capture log close
set mem 20m
cd C:\zaai\data\anal
log using "s10care.smcl", replace

# delimit ;
tempfile mytemp;
use ..\raw\s10care.dta,clear;
sort hh_id1 hh_id2 b3_pid;
save `mytemp';

use "..\roster.dta";
ren a1_pid b3_pid;

merge hh_id1 hh_id2 b3_pid using `mytemp';
drop a1_01 a1_02 a1_10 a1_13 - a1_19 _merge;
replace b3_pid=1  if hh_id1==103 & hh_id2==14 & b3_pid==. & b3_60==1;
replace b3_pid=1  if hh_id1==150 & hh_id2==7 & b3_pid==. & b3_66==2;
replace b3_pid=1  if hh_id1==155 & hh_id2==11 & b3_pid==. & b3_58==4;
replace b3_pid=1 if hh_id1==194 & hh_id2==6 & b3_pid==.;
replace b3_pid=2 if hh_id1==194 & hh_id2==64 & b3_pid==.;

do "C:\ZAAI Revision\cos10care\cos10care.txt";
sort hh_id1 hh_id2 b3_pid;
drop if  b3_pid > persons &  (a1_11d <. | b3_59a <. | b3_59i <.);
compress;
saveold ..\s10care,replace;
