drop _all
set more off
capture log close
set mem 20m
cd C:\zaai\data\anal
log using "log-wfood.smcl", replace

# delimit ;

tempfile s8_1a;

use "..\raw\wfood.dta",clear;

do ..\Syntax\checks\check1\ckwfood.do;

drop if  a81_id==.;

sort hh_id1 hh_id2 a81_id;
*drop prov - persons;

keep hh_id1 hh_id2 a81_id  a81_00x - a81_03;

append using ..\raw\s8.1.dta;

tab hh_id1;

*end;

drop if hh_id1 ==63 & hh_id2 ==13 & a81_00x =="";
sort hh_id1 hh_id2 a81_id;
compress;
saveold `s8_1a',replace;

use "..\raw\id.dta",clear;

merge hh_id1 hh_id2 using `s8_1a';

*end;

do "C:\ZAAI Revision\cowfood\cowfood 1.txt";
do "C:\ZAAI Revision\cowfood\cowfood2.txt";
do "C:\ZAAI Revision\cowfood\cowfood3.txt";
do "C:\ZAAI Revision\cowfood\cowfood4.txt";
do "C:\ZAAI Revision\cowfood\cowfood5.txt";
sort hh_id1 hh_id2 a81_id;
keep hh_id1 - deo  a81_id - a81_03;
compress;
saveold ..\wfood,replace;

/*remember to save when you finish. */