set more off
clear
capture log close
set mem 20m
cd C:\zaai\data\anal
log using "log-anfood.smcl", replace

# delimit ;
use "..\raw\anfood.dta";
*do ..\Syntax\checks\check1\coanfood.do;
do "C:\ZAAI Revision\coanfood\coanfood4.txt";
do "C:\ZAAI Revision\coanfood\coanfood5.txt";
*do "C:\ZAAI Revision\coanfood\coanfood2.txt";

order  hh_id1 hh_id2 a83_anid a83_07x a83_07 a83_08 prov dist cons ward csa sea intcode1 supervisor deo persons;

lab var a83_08 "Annual cost of non-food item (ZMK)";

*ren a83_07c a83_anid;

lab define anfcode 1 "School fees" 2 "Parent association fees" 3 "Tuition and boarding fees" 4 "Textbooks" 
                    5 "Uniforms and other materials" 6 "Other spending on education";

lab val a83_anid anfcode;

lab define an07code 1 "Yes" 2 "No";

lab val a83_07 an07code;


saveold ..\anfood,replace;

/*remember to save when you finish. */