drop _all
set more off
capture log close
set mem 20m
cd C:\zaai\data\anal
log using "edu.smcl", replace  

# delimit ;
tempfile mytemp;
use ..\raw\edu.dta,clear;
sort hh_id1 hh_id2 a2_pid;
save `mytemp';

use "..\roster.dta";
ren a1_pid a2_pid;

merge hh_id1 hh_id2 a2_pid using `mytemp';
drop a1_01 a1_02 a1_10 a1_13 - a1_19 _merge;

*use "..\raw\edu.dta";
do ..\Syntax\checks\check1\Coedu.txt;
do "C:\ZAAI Revision\coedu\coedu020310.txt";

do "C:\ZAAI Revision\coedu\Coedu1.txt";
do "C:\ZAAI Revision\coedu\Coedu3.txt";
sort hh_id1 hh_id2 a2_pid;
order hh_id1 hh_id2 a2_pid - a2_06;

replace a2_pid=6 if a2_pid==. & a2_01==2 & a2_02==2 & a2_03==1 & hh_id1==175 & hh_id2==1;
replace a2_pid=3 if a2_pid==. & a2_01==2 & a2_02==2 & a2_03==2 & hh_id1==192 & hh_id2==15;
compress;
saveold ..\edu,replace;

/*remember to save when you finish. */