drop _all
set more off
capture log close
log using "C:\zaai\syntax\log-coroster.smcl", replace
set mem 20m
cd C:\zaai\data\anal

# delimit ;
use "..\raw\roster.dta",clear;
order hh_id1 hh_id2 a1_pid - a1_19;
do ..\Syntax\checks\check1\coroster.txt;
do "C:\ZAAI Revision\coroster\coroster 1 1 1.txt";
do "C:\ZAAI Revision\coroster\coroster 22.txt";
do "C:\ZAAI Revision\coroster\corosterage1.txt";

do "C:\ZAAI Revision\coroster\coroster 100.txt";
do "C:\ZAAI Revision\coroster\COROSTER1.txt";
do "C:\ZAAI Revision\coroster\COROSTER1b.txt";
do "C:\ZAAI Revision\coroster\COROSTER2.txt";
do "C:\ZAAI Revision\coroster\COROSTER2b.txt";
do "C:\ZAAI Revision\coroster\COROSTER3.txt";
do "C:\ZAAI Revision\coroster\COROSTER3b.txt";
do "C:\ZAAI Revision\coroster\COROSTER4.txt";
do "C:\ZAAI Revision\coroster\COROSTER4b.txt";
do "C:\ZAAI Revision\coroster\COROSTER5.txt";
do "C:\ZAAI Revision\coroster\COROSTER5b.txt";
do "C:\ZAAI Revision\coroster\COROSTER6.txt";
do "C:\ZAAI Revision\coroster\COROSTER6b.txt";
do "C:\ZAAI Revision\coroster\COROSTER8.txt";
do "C:\ZAAI Revision\coroster\COROSTER8b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 7.txt";
do "C:\ZAAI Revision\coroster\COROSTER 8.txt";
do "C:\ZAAI Revision\coroster\COROSTER 8b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 10.txt";
do "C:\ZAAI Revision\coroster\COROSTER 10b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 11.txt";
do "C:\ZAAI Revision\coroster\COROSTER 11b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 12.txt";
do "C:\ZAAI Revision\coroster\COROSTER 12b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 14.txt";
do "C:\ZAAI Revision\coroster\COROSTER 14b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 15.txt";
do "C:\ZAAI Revision\coroster\COROSTER 15b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 16.txt";
do "C:\ZAAI Revision\coroster\COROSTER 16b.txt";
do "C:\ZAAI Revision\coroster\COROSTER 17.txt";


#d ;
gen age = 2009 -  a1_11y + ((8-a1_11m)/12) if a1_11m != 99;
replace age = 2009 -  a1_11y if a1_11m==. |a1_11m == 99;
gen age2 =  a1_12y +  (a1_12m/12);
replace age2 =  a1_12y if a1_12m==.;
replace age = age2 if age==.;
gen yr =2009- a1_12y;
*drop age2;
l hh_id1 hh_id2 a1_11d a1_11m a1_11y a1_12y yr a1_12m age age2  if  a1_11y <1905 | inrange( a1_11y ,2010,3000);
replace   a1_11y = yr if  a1_11y <1905 | inrange( a1_11y ,2010,3000);
l hh_id1 hh_id2 a1_11d a1_11m a1_11y a1_12y yr a1_12m age age2  if  a1_11y <1905 | inrange( a1_11y ,2010,3000);
sort hh_id1 hh_id2 a1_pid;
drop yr age2;
compress;
*drop a1_09;
saveold ..\roster,replace;

/*remember to save when you finish. */