drop _all
set more off
capture log close
log using "C:\zaai\syntax\log-cotrans.smcl", replace
set mem 20m
cd C:\zaai\data\anal

# delimit ;
use "..\raw\trans.dta";
lab def labels 1 "Interest or investment income"
2 "Renting building and/or land to others"
3 "Renting equipment/vehicles/machinery to others"
4 "Renting animals to others"
5 "Workman's compensation? (working inability insurance)"
6 "Other government transfer"
7 "Scholarship for study or training"
8 "Assistance from community groups, NGOs, churches, etc."
9 "Remittances / gifts (in cash or in kind) from relatives, co-workers or friends within Zambia (for weddings, funerals, etc?"
10 "Remittances / gifts (in cash or in kind) from relatives, co-workers or friends outside Zambia (for weddings, funerals, etc.)?"
11 "Inheritance"
96 "Other income not from work? specify";
lab val  a7b_id labels;

do "C:\ZAAI Revision\cotrans\cotransfers.txt";
do "C:\ZAAI Revision\cotrans\cotrans2.txt";
saveold ..\trans,replace;


/*remember to save when you finish. */